package com.jeeplus.finance.projectReport.domain;

import java.util.List;

/**
 * 签章合同表
 * @author: 徐滕
 * @create: 2021-11-02 18:05
 **/
public class SignatureContract {
    private String subject; //合同名称
    private String sn; //合同编号 非必填
    private String categoryId; //用印流程ID 非必填
    private String tenantName; //用印流程名称 非必填
    private List<String> documents; //文档ID的集合 非必填
    private List<SignatorieInfo> signatories; //签署方信息 非必填
    private Boolean send;   //是否发起（预签署为不发起）

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public List<String> getDocuments() {
        return documents;
    }

    public void setDocuments(List<String> documents) {
        this.documents = documents;
    }

    public List<SignatorieInfo> getSignatories() {
        return signatories;
    }

    public void setSignatories(List<SignatorieInfo> signatories) {
        this.signatories = signatories;
    }

    public Boolean getSend() {
        return send;
    }

    public void setSend(Boolean send) {
        this.send = send;
    }
}
